import ScriptingModule from "../modules/scriptingModule";
import { Item } from "../modules/itemModule";
export default class ItemModule extends ScriptingModule {
    constructor() {
        super("ItemModule");
    }
    onInitialize() {
        this.registerItems();
    }
    registerItems() {
        Item.register(new Item({
            item: "minecraft:torch",
            options: {
                dynamicLighting: {
                    strength: 15,
                },
            },
        }));
        Item.register(new Item({
            item: "minecraft:soul_torch",
            options: {
                dynamicLighting: {
                    strength: 15,
                },
            },
        }));
        Item.register(new Item({
            item: "minecraft:sea_lantern",
            options: {
                dynamicLighting: {
                    strength: 15,
                },
            },
        }));
        Item.register(new Item({
            item: "minecraft:glowstone",
            options: {
                dynamicLighting: {
                    strength: 15,
                },
            },
        }));
        Item.register(new Item({
            item: "minecraft:lantern",
            options: {
                dynamicLighting: {
                    strength: 15,
                },
            },
        }));
        Item.register(new Item({
            item: "minecraft:soul_lantern",
            options: {
                dynamicLighting: {
                    strength: 15,
                },
            },
        }));
        Item.register(new Item({
            item: "minecraft:redstone_torch",
            options: {
                dynamicLighting: {
                    strength: 8,
                },
            },
        }));
        // Initialize the event listener
        Item.onInitialize();
    }
}
